Date	Added

2006/10/06
	* status_cast_cancel is now a type 4 (object bitmasks) setting
	  (status.conf). [Skotlex]
2006/10/06
	* Removed gm_all_skill_add_abra which was doing nothing anyway. [Skotlex]
2006/10/03
	* Renamed setting delay_dependon_dex to delay_dependon_agi, the delay of
	  skills is reduced now (when enabled) by AGI instead of DEX, which makes a
	  lot more sense than DEX. [Skotlex]
2006/09/25
	* Removed config setting allow_atcommand_when_mute as it's no longer used
	  (see manner_system in misc.conf for it's replacement) [Skotlex]
2006/09/19
	* Removed setting ban_spoof_namer (as now invalid chat packets just cause
	  the sending character to be disconnected). [Skotlex]
2006/09/18
	* The new socket update code includes support for two new config settings
	  (packet_athena.txt): frame_size, which can be used to alter the logic
	  packet-size allowed by the code, and mode_neg, which when set to yes, sets
	  TCP_NODELAY on all connections (defaults to yes). [Skotlex]
	* Due to a recent update of how cards/equipment status change defense
	  works, the max sc resistance settings (battle/status.conf) no longer apply
	  to them. [Skotlex]
2006/09/16
	* Added monster_ai&256. When set, a monster will pick a random starting
	  position to begin checking versus it's skills, otherwise, it will always
	  begin checking from the beginning. [Skotlex]
2006/09/15
	* Added atcommand.conf entries for @adjgmlvl and @adjcmdlvl [Skotlex]
2006/09/14
	* Adjusted gvg long damage rate to 80%, magic damage rate to 60%
	  (battle/guild.conf) [Skotlex]
2006/09/12
	* Changed back the default of case-sensitive to ON since it shouldn't be
	  such a bad performance hog now. [Skotlex]
	* case_sensitive is now off by default due to performance issues
	  (login_athena.conf). [Skotlex]
2006/09/11
	* Corrected name of config settings pc_luk_status_def, mob_luk_status_def
	  (status.conf) [Skotlex]
	* Changed the default of enable_baseatk to 9 (player + homun) [Skotlex]
	* Changed the default of enable_perfect_flee to 1 (players only) [Skotlex]
2006/09/09
	* Removed noteleport flags from Geffenia maps [Playtester]
2006/09/08
	* Removed sg_miracle_skill_duration, replaced it with
	  sg_miracle_skill_min_duration and sg_miracle_skill_max_duration, to specify
	  a range for the duration of the skill. [Skotlex]
	* Skill duration for sg miracle is now 1h ~ 2.5h [Skotlex]
2006/09/07
	* Changed the default of sg_angel_skill_ratio to 10 based on recent
	  information from Tharis. [Skotlex]
	* Added sg_angel_skill_ratio to specify rate at which the Angel skill
	  triggers. [Skotlex]
	* Increased duration of Miracle of the Sun/Moon/Stars to one hour.
	  [Skotlex]
	* Changed gvg_short_attack_damage_rate to 80, as leaked X.2 [Vicious]
2006/09/06
	* Reverted back the default view/chase range of mobs to 100% since eA now
	  uses square view areas, like Aegis. [Skotlex]
2006/09/05
	* Removed setting mob_show_hp, it's been replaced now by mob_show_info,
	  which can be used to specify what kind of info should be displayed from a
	  mob. Current options are two different formats for Hp display, and current
	  level (monster.conf). [Skotlex]
2006/08/31
	* Added setting attack_walk_delay which specifies whether a character
	  should (or not) be able to move inmediately after starting a normal attack
	  (battle.conf). Defaults to 0 since that's what Aegis uses. [Skotlex]
	* Corrected battle config name max_walk_rate, it should be named
	  max_walk_speed. [Skotlex]
2006/08/29
	* monster_ai&1 now only signals whether mobs should update their target
	  cell while chasing more frequently (rather than being state-driven like
	  Aegis) [Skotlex]
	* Changed the defaults of view_range_rate and chase_range_rate to 120 to
	  aproximate better Aegis's view ranges (which are square areas and not
	  circles), so eA's default of 100 leads to a circular area contained
	  within a 21x21 square zone (what Aegis uses), by using 20%, the circular
	  area increases range to 12, which better approximates Aegis's 21x21 area.
	  [Skotlex]
2006/08/24
	* Changed the default of clear_skills_on_death to 0 [Skotlex]
	* Added setting clear_skills_on_warp to specify when a character's
	  land-based skills are deleted when the caster changes maps. Defaults to all
	  types (skill.conf). [Skotlex]
	* The previous setting now obsoletes traps_setting &2, which now can only
	  be 0/1. [Skotlex]
2006/08/21
	* Removed config setting "muting_players", and expanded the manner_system
	  config to specify how having negative manner (mute) affects a player (see
	  battle/misc.conf). [Skotlex]
	* Expanded the pk_mode setting from no/yes to 0/1/2. 1 is normal pk_mode,
	  if 2 is used, it makes killing players give you a loss of 5 manner points.
	  [Skotlex]
2006/08/18
	* Added monster_ai&128 to make aggressive mobs ignore that behaviour of
	  always picking Homun targets above player targets regardless of who is
	  closer. [Skotlex]
	* Added guild_aura (skill.conf) setting so you can specify when it works
	  and if it works on the guild-master itself. Defaults to working all the
	  time on everyone except GM. [Skotlex]
2006/08/14
	* Removed support for negative autosave intervals, instead added a
	  minsave_interval setting which specifies which is the minimum time between
	  character saves. Default to 100ms (map_athena.conf). [Skotlex]
	* Modified emergency_call setting to allow for more specific configuration
	  (woe/non-woe, gvg-grounds/non-gvg-grounds, disable from nowarpto maps), see
	  skill.conf for details. [Skotlex]
2006/08/10
	* Removed setting mob_ghostring_fix [Skotlex]
	* Changed setting attack_attr_none to affect all neutral-element attacks.
	  Basicly, this setting is now used to determine who can hit for full damage
	  always when using neutral-attacks (defaults to non-players) [Skotlex]
2006/08/09
	* Change the default of attack_attr_none to all classes except players.
	  This means that pet/mobs/homun will always do normal attacks with
	  no-element modifiers (but elemental reduction cards still apply) [Skotlex]
2006/08/08
	* Removed config settings display_delay_skill_fail and
	  display_snatcher_skill_fail, replaced them with display_skill_fail, which
	  can be used to determine whether you hide ALL skill-failed messages, those
	  from delay, those from Snatcher or those from Envenom (battle/skill.conf)
	  [Skotlex]
2006/08/07
	* Added config force_random_spawn which overrides the spawn-files defined
	  coordinates to make all mobs always spawn randomly on the map. [Skotlex]
	* SC_SPEEDUP0 is no longer dispellable by SA_DISPEL [Skotlex]
2006/08/04
	* Removed settings enemy_critical_rate, homun_critical_rate. Added settings
	  enable_critical (defaults to specify only players), mob_critical_rate and
	  critical_rate. The last applies to all non-mobs and non-players
	  (battle/battle.conf) [Skotlex]
	* Removed settings mob_npc_warp, mob_warpportal. Replaced with setting
	  mob_warp which specifies which types of warp can a mob step into
	  (battle/monster.conf) [Skotlex]
	* Changed name of the setting log_pick to log_filter since that's what it
	  does now. [Skotlex]
	* Modified enable_logs so that instead of a 0/1 setting, you can specify
	  which kind of events to log (so you can use a combination), see log_athena
	  for the bitmask configuration. [Skotlex]
	* Cleaned a bit the contents of log_athena.conf
2006/08/02
	* Updated status_cast_cancel to also include silence (so the cast bar is
	  cancelled if you are silenced during it) [Skotlex]
2006/08/01
	* merged in atcommands jailfor, jailtime, charjailtime. Thanks to Meruru
	  and Coltaro for the code. [Skotlex]
	* Expanded setting debuff_on_logout so that &1 removes negative buffs and
	  &2 removes positive buffs. [Skotlex]
	* Added battle config file status.conf, moved some settings from skill.conf
	  and battle.conf to it since they are entirely Status-Change related.
	  [Skotlex]
2006/07/27
	* Added config setting party_update_interval so you can specify how often
	  the party-mate minidots should be updated (defaults to 1 sec). [Skotlex]
	* Removed a bunch of broken comments in skill.c [Skotlex]
